%global modulename argparse

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-argparse
Version:        1.0.10
Release:        1%{?dist}
Summary:        Very powerful CLI arguments parser. Native port of argparse - python's options parsing library

License:        MIT
URL:            https://github.com/nodeca/argparse#readme
Source0:        https://registry.npmjs.org/argparse/-/argparse-1.0.10.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(sprintf-js) >= 1.0.2 with npmlib(sprintf-js) < 1.1.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Very powerful CLI arguments parser. Native port of argparse - python's options parsing library

%package 1.0.10
Summary:        Very powerful CLI arguments parser. Native port of argparse - python's options parsing library


%description 1.0.10
Very powerful CLI arguments parser. Native port of argparse - python's options parsing library

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.10
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 19 2018 npm2srpm <dshea@redhat.com> - 1.0.10-1
- Package automatically generated by npm2srpm
